package com.huaxia.imes.controller;

import com.huaxia.comm.domain.imes.Cutpiece;
import com.huaxia.imes.dto.CutpieceDTO;
import com.huaxia.imes.service.CutpieceService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author zx
 * @since 2024年10月18日
 */
@RestController
@RequestMapping("prod/line/imes")
@Slf4j
public class CutpieceController extends BaseController {

    @Autowired
    private CutpieceService service;


    /**
     * 查询
     *
     * @return
     */
    @PreAuthorize("@ss.hasPermi('prod:line:imes:query')")
    @GetMapping("query")
    public R<List<Cutpiece>> query(@Validated CutpieceDTO dto) {
        return R.ok(service.queryList(dto));

    }
}
